Bug 185492 - astro/qlandkartegt : update to 1.7.5
Summary: astro/qlandkartegt : update to 1.7.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-05 14:10 UTC by Christoph Moench-Tegeder
Modified: 2014-01-19 16:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2014-01-05 14:10:00 UTC
	Among other bugfixes, qlandkartegt 1.7.5 has the clang build fixes we
	currently ship as local patches.

Fix: svn status:
M       Makefile
M       distinfo
D       files/patch-3rdparty-map2gcm-main.cpp
D       files/patch-3rdparty-map2jnx-main.cpp
D       files/patch-src-CMapTDB.h

svn diff:


Regards,
Christoph--Jj9i5OtfvqBlgstHoxJAqDB0VFoeZPeBkus5rb4wbqKG7mLg
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
--- Makefile	(revision 338769)
+++ Makefile	(working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	qlandkartegt
-PORTVERSION=	1.7.4
+PORTVERSION=	1.7.5
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/QLandkarteGT%20${PORTVERSION}
 
Index: distinfo
===================================================================
--- distinfo	(revision 338769)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (qlandkartegt-1.7.4.tar.gz) = d6412ae6b34c2ec8a5f929f7aa8b4d1a660f913f16ea52096f93b42d4f271daf
-SIZE (qlandkartegt-1.7.4.tar.gz) = 8332394
+SHA256 (qlandkartegt-1.7.5.tar.gz) = a8b571ba838568ed258c61fa0ab18b370c7d22d2539a632a0028b78f4a22aa2c
+SIZE (qlandkartegt-1.7.5.tar.gz) = 8351098
Index: files/patch-3rdparty-map2gcm-main.cpp
===================================================================
--- files/patch-3rdparty-map2gcm-main.cpp	(revision 338769)
+++ files/patch-3rdparty-map2gcm-main.cpp	(working copy)
@@ -1,11 +0,0 @@
---- 3rdparty/map2gcm/main.cpp.orig	2013-06-17 16:27:54.000000000 +0400
-+++ 3rdparty/map2gcm/main.cpp	2013-09-25 08:33:07.841519182 +0400
-@@ -83,7 +83,7 @@
-         if(pj) pj_free(pj);
-     }
- 
--    bool operator<(const file_t& other)
-+    bool operator<(const file_t& other) const
-     {
-         return (xscale < other.xscale);
-     }
Index: files/patch-3rdparty-map2jnx-main.cpp
===================================================================
--- files/patch-3rdparty-map2jnx-main.cpp	(revision 338769)
+++ files/patch-3rdparty-map2jnx-main.cpp	(working copy)
@@ -1,11 +0,0 @@
---- 3rdparty/map2jnx/main.cpp.orig	2013-09-16 20:29:13.000000000 +0400
-+++ 3rdparty/map2jnx/main.cpp	2013-09-25 08:16:33.022519128 +0400
-@@ -121,7 +121,7 @@
-         if(pj) pj_free(pj);
-     }
- 
--    bool operator<(const file_t& other)
-+    bool operator<(const file_t& other) const
-     {
-         return (xscale > other.xscale);
-     }
Index: files/patch-src-CMapTDB.h
===================================================================
--- files/patch-src-CMapTDB.h	(revision 338769)
+++ files/patch-src-CMapTDB.h	(working copy)
@@ -1,11 +0,0 @@
---- src/CMapTDB.h.orig	2013-08-15 19:13:38.000000000 +0400
-+++ src/CMapTDB.h	2013-09-25 08:45:54.954519968 +0400
-@@ -209,7 +209,7 @@
-             quint8 level;
-             bool useBaseMap;
- 
--            bool operator==(const map_level_t &ml)
-+            bool operator==(const map_level_t &ml) const
-             {
-                 if (ml.bits != bits || ml.level != level || ml.useBaseMap != useBaseMap)
-                     return false;
Comment 1 Edwin Groothuis freebsd_committer 2014-01-05 14:10:08 UTC
Maintainer of astro/qlandkartegt,

Please note that PR ports/185492 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185492

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-01-05 14:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2014-01-19 16:02:45 UTC
Author: rakuco
Date: Sun Jan 19 16:02:36 2014
New Revision: 340320
URL: http://svnweb.freebsd.org/changeset/ports/340320
QAT: https://qat.redports.org/buildarchive/r340320/

Log:
  Update to 1.7.5.
  
  While here, stop using MAN1 now that the port supports staging.
  
  PR:		ports/185492
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Approved by:	maintainer timeout (14 days)

Deleted:
  head/astro/qlandkartegt/files/patch-3rdparty-map2gcm-main.cpp
  head/astro/qlandkartegt/files/patch-3rdparty-map2jnx-main.cpp
  head/astro/qlandkartegt/files/patch-src-CMapTDB.h
Modified:
  head/astro/qlandkartegt/Makefile
  head/astro/qlandkartegt/distinfo
  head/astro/qlandkartegt/pkg-plist

Modified: head/astro/qlandkartegt/Makefile
==============================================================================
--- head/astro/qlandkartegt/Makefile	Sun Jan 19 15:54:18 2014	(r340319)
+++ head/astro/qlandkartegt/Makefile	Sun Jan 19 16:02:36 2014	(r340320)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	qlandkartegt
-PORTVERSION=	1.7.4
+PORTVERSION=	1.7.5
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/QLandkarteGT%20${PORTVERSION}
 
@@ -20,6 +20,4 @@ USE_QT4=	dbus gui opengl network sql xml
 		moc_build uic_build rcc_build qmake_build
 USE_GL=		glu
 
-MAN1=		qlandkartegt.1
-
 .include <bsd.port.mk>

Modified: head/astro/qlandkartegt/distinfo
==============================================================================
--- head/astro/qlandkartegt/distinfo	Sun Jan 19 15:54:18 2014	(r340319)
+++ head/astro/qlandkartegt/distinfo	Sun Jan 19 16:02:36 2014	(r340320)
@@ -1,2 +1,2 @@
-SHA256 (qlandkartegt-1.7.4.tar.gz) = d6412ae6b34c2ec8a5f929f7aa8b4d1a660f913f16ea52096f93b42d4f271daf
-SIZE (qlandkartegt-1.7.4.tar.gz) = 8332394
+SHA256 (qlandkartegt-1.7.5.tar.gz) = a8b571ba838568ed258c61fa0ab18b370c7d22d2539a632a0028b78f4a22aa2c
+SIZE (qlandkartegt-1.7.5.tar.gz) = 8351098

Modified: head/astro/qlandkartegt/pkg-plist
==============================================================================
--- head/astro/qlandkartegt/pkg-plist	Sun Jan 19 15:54:18 2014	(r340319)
+++ head/astro/qlandkartegt/pkg-plist	Sun Jan 19 16:02:36 2014	(r340320)
@@ -4,6 +4,7 @@ bin/map2jnx
 bin/map2rmap
 bin/map2rmp
 bin/qlandkartegt
+man/man1/qlandkartegt.1.gz
 share/applications/qlandkartegt.desktop
 share/pixmaps/qlandkartegt.png
 %%DATADIR%%/translations/qlandkartegt_cs.qm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Raphael Kubo da Costa freebsd_committer 2014-01-19 16:02:53 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!